#
# spec file for package rubygem-turbolinks
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-turbolinks
Version:        5.2.1
Release:        1.17
%define mod_name turbolinks
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/turbolinks/turbolinks
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Turbolinks makes navigating your web application faster
License:        MIT
Group:          Development/Languages/Ruby

%description
Rails engine for Turbolinks 5 support.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Nov 12 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 5.2.1
  * Ported Turbolinks to TypeScript [#445]
  * Fixed an issue with navigation when Turbolinks is loaded by a <script async> tag [#453]
  * Changed the HTTP client to treat responses with non-HTML Content-Type headers as errors [#454]
  * Improved compatibility with webcomponents.js [#337, #431]
* Mon Aug 20 2018 mschnitzer@suse.com
- updated to version 5.2.0
  * Introduces deferred snapshot caching to improve navigation performance and allow Stimulus disconnect() callbacks to prepare the page to be cached (#390)
  * Modernizes the test suite (#404)
  * Fixes missing event.data.newBody on turbolinks:before-render events when rendering error pages (#406)
  * Adds a CHANGELOG.md file which points to the GitHub Releases index
  * Corrects several errors in documentation examples
  * Updates RubyGems installation instructions
* Wed Apr 11 2018 factory-auto@kulow.org
- updated to version 5.1.1
  no changelog found
* Tue Feb 27 2018 factory-auto@kulow.org
- updated to version 5.1.0
  no changelog found
* Mon Aug  1 2016 coolo@suse.com
- updated to version 5.0.1
  no changelog found
* Fri Jul  1 2016 coolo@suse.com
- updated to version 5.0.0
  no changelog found
* Tue Feb 10 2015 coolo@suse.com
- updated to version 2.5.3, no changelog
* Fri Oct 17 2014 coolo@suse.com
- updated to version 2.4.0, no changelog
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Apr 21 2014 coolo@suse.com
- updated to version 2.2.2, no changelog
* Thu Feb  6 2014 coolo@suse.com
- updated to version 2.2.1, no changelog
* Fri Dec 20 2013 coolo@suse.com
- updated to version 2.1.0, no changelog
* Mon Dec  9 2013 coolo@suse.com
- updated to version 2.0.0, no changelog
* Fri Nov 22 2013 coolo@suse.com
- updated to version 1.3.1, no changelog
* Sun Jul 21 2013 coolo@suse.com
- updated to version 1.3.0, no changelog
* Mon Jun  3 2013 coolo@suse.com
- updated to version 1.2.0, no changelog
* Sun Apr 28 2013 coolo@suse.com
- updated to version 1.1.1
* Fri Dec 28 2012 coolo@suse.com
- initial package (version 0.6.1)
